/**
 * DEPRECATED: An element which displays information about a build trigger.
 */
angular.module('quay').directive('triggerDescription', function () {
  var directiveDefinitionObject = {
    priority: 0,
    templateUrl: '/static/directives/trigger-description.html',
    replace: false,
    transclude: false,
    restrict: 'C',
    scope: {
      'trigger': '=trigger',
    },
    controller: function($scope, $element, KeyService, TriggerService) {
      $scope.KeyService = KeyService;
      $scope.TriggerService = TriggerService;
      TriggerService.populateTemplate($scope, 'trigger-description');
    }
  };
  return directiveDefinitionObject;
});